Next: ASINH, Previous: ASIN, Up: Intrinsic Procedures

### 8.20 `ASIND` — Arcsine function, degrees

Description:
  `ASIND(X)` computes the arcsine of its X in degrees (inverse of `SIND(X)`).

  This function is for compatibility only and should be avoided in favor of standard constructs wherever possible.

Standard:
  GNU extension, enabled with `-fdec-math`.
Class:
  Elemental function
Syntax:
  `RESULT = ASIND(X)`
Arguments:

  X | The type shall be either `REAL` and a magnitude that is less than or equal to one - or be `COMPLEX`.

Return value:
  The return value is of the same type and kind as X. The real part of the result is in degrees and lies in the range -90 \leq \Re \asin(x) \leq 90.
Example:

                program test_asind
                  real(8) :: x = 0.866_8
                  x = asind(x)
                end program test_asind

Specific names:

  Name | Argument | Return type | Standard
  --- | --- | --- | ---
  `ASIND(X)` | `REAL(4) X` | `REAL(4)` | GNU extension
  `DASIND(X)` | `REAL(8) X` | `REAL(8)` | GNU extension

See also:
  Inverse function: SIND Radians function: ASIN